* configure.in (usetls): Default to yes.

* configure: Regenerated.
This commit is contained in:
Roland McGrath 2004-08-27 19:41:25 +00:00
parent c80e931a05
commit 619f944833
3 changed files with 21 additions and 15 deletions

View file

@ -1,3 +1,8 @@
2004-08-27 Roland McGrath <roland@redhat.com>
* configure.in (usetls): Default to yes.
* configure: Regenerated.
2004-08-26 Roland McGrath <roland@redhat.com>
* configure.in (add_ons_automatic): New variable, set to yes or no

15
configure vendored
View file

@ -1608,7 +1608,7 @@ if test "${with_tls+set}" = set; then
withval="$with_tls"
usetls=$withval
else
usetls=no
usetls=yes
fi;
@ -1850,14 +1850,11 @@ echo "$as_me: error:
esac
# Test whether such a subdir really exists.
if test -d $srcdir/$f; then
add_ons_pfx="$add_ons_pfx $f/"
add_ons_sfx="$add_ons_sfx /$f"
else
test -d $srcdir/$f || {
{ { echo "$as_me:$LINENO: error: add-on directory \"$f\" does not exist" >&5
echo "$as_me: error: add-on directory \"$f\" does not exist" >&2;}
{ (exit 1); exit 1; }; }
fi
}
done
# Now source each add-on's configure fragment.
@ -1876,7 +1873,11 @@ echo "${ECHO_T}running configure fragment for add-on $libc_add_on" >&6
{ echo "$as_me:$LINENO: WARNING: add-on fragment $libc_add_on_frag missing" >&5
echo "$as_me: WARNING: add-on fragment $libc_add_on_frag missing" >&2;}
fi
use_add_ons="$use_add_ons $libc_add_on"
if test -n "$libc_add_on"; then
use_add_ons="$use_add_ons $libc_add_on"
add_ons_pfx="$add_ons_pfx $libc_add_on/"
add_ons_sfx="$add_ons_sfx /$libc_add_on"
fi
done
# Use echo to strip excess whitespace.
add_ons="`echo $use_add_ons`"

View file

@ -183,12 +183,11 @@ AC_ARG_ENABLE([add-ons],
[add_ons= add_ons_automatic=no])
dnl Let the user avoid using TLS. Don't know why but...
dnl XXX For now we disable support by default.
AC_ARG_WITH([tls],
AC_HELP_STRING([--with-tls],
[enable support for TLS]),
[usetls=$withval],
[usetls=no])
[usetls=yes])
AC_ARG_WITH([__thread],
AC_HELP_STRING([--without-__thread],
@ -356,12 +355,9 @@ if test x"$add_ons" != x; then
esac
# Test whether such a subdir really exists.
if test -d $srcdir/$f; then
add_ons_pfx="$add_ons_pfx $f/"
add_ons_sfx="$add_ons_sfx /$f"
else
test -d $srcdir/$f || {
AC_MSG_ERROR(add-on directory \"$f\" does not exist)
fi
}
done
# Now source each add-on's configure fragment.
@ -378,7 +374,11 @@ if test x"$add_ons" != x; then
else
AC_MSG_WARN(add-on fragment $libc_add_on_frag missing)
fi
use_add_ons="$use_add_ons $libc_add_on"
if test -n "$libc_add_on"; then
use_add_ons="$use_add_ons $libc_add_on"
add_ons_pfx="$add_ons_pfx $libc_add_on/"
add_ons_sfx="$add_ons_sfx /$libc_add_on"
fi
done
# Use echo to strip excess whitespace.
add_ons="`echo $use_add_ons`"